Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025569
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2014-01-27 18:462014-01-31 13:49
ReporterjecharriView Statuspublic 
Assigned Tomalsasua 
PriorityimmediateResolutionfixedFixed in VersionRMP31
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRMP31
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionRMP30.1SCM revision 
Review Assigned Toguilleaer
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackYes
Summary

0025569: Impossible to do a cash up

DescriptionImpossible to do a cash up
Steps To Reproduce-Log in in https://livebuilds.openbravo.com/retail_pi_pgsql [^]

-Go to "Pos terminal type" window and choose "VBS POS Terminal Type"
-Go to payment method tab and uncheck in all methods the checkbox "Automated movement to other account"

-Go to Web POS and verify that it is impossible to do a cash up. You will see that the system never move the quantity to cash up financial account.
Proposed SolutionIt seems that we should change the following lines
if (model.get('paymentMethod').automatemovementtoother === false) {
        model.set('qtyToKeep', null);

in file modules/org.openbravo.retail.posterminal/web/org.openbravo.retail.posterminal/js/closecash/model/cashup-model.js

We may set to 0 instead of null
TagsNo tags attached.
Attached Filesdiff file icon issue25569.diff [^] (1,887 bytes) 2014-01-29 13:42 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0026469RR14Q2.1 closedmigueldejuana Cash up is not working fine if you have a payment method with checkbox automated movement unchecked 

-  Notes
(0063828)
malsasua (developer)
2014-01-31 13:46

fixed by commits:
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/4cf8ba2457c5 [^]
https://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a12cdbd42c37 [^]
(0063829)
guilleaer (developer)
2014-01-31 13:49

Verified and ready to be included in RMP31

- Issue History
Date Modified Username Field Change
2014-01-27 18:46 jecharri New Issue
2014-01-27 18:46 jecharri Assigned To => marvintm
2014-01-27 18:46 jecharri Resolution time => 1391295600
2014-01-27 18:46 jecharri Triggers an Emergency Pack => No
2014-01-27 18:47 jecharri Regression level => Production - Confirmed Stable
2014-01-27 18:47 jecharri Triggers an Emergency Pack No => Yes
2014-01-28 18:21 malsasua File Added: issue25569.diff
2014-01-29 13:42 malsasua File Deleted: issue25569.diff
2014-01-29 13:42 malsasua File Added: issue25569.diff
2014-01-31 10:17 mtaal Assigned To marvintm => malsasua
2014-01-31 13:46 malsasua Status new => scheduled
2014-01-31 13:46 malsasua fix_in_branch => pi
2014-01-31 13:46 malsasua Note Added: 0063828
2014-01-31 13:46 malsasua Status scheduled => resolved
2014-01-31 13:46 malsasua Fixed in Version => RMP31
2014-01-31 13:46 malsasua Resolution open => fixed
2014-01-31 13:49 guilleaer Review Assigned To => guilleaer
2014-01-31 13:49 guilleaer Note Added: 0063829
2014-01-31 13:49 guilleaer Status resolved => closed
2014-05-08 19:25 dmitry_mezentsev Relationship added related to 0026469


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker